Loading...
Searching...
No Matches
.cmake-format.py File Reference

## Data Structures

class | _clang_format_options

## Variables

| _clang_format = _clang_format_options()
dict | additional_commands
bool | first_comment_is_literal = True
bool | enable_markup = False
bool | disable = False
| line_width = int(_clang_format["ColumnLimit"])
| tab_size = int(_clang_format["IndentWidth"])
| use_tabchars
bool | separate_ctrl_name_with_space = False
bool | separate_fn_name_with_space = False
bool | dangle_parens = False
| min_prefix_chars = tab_size
int | max_prefix_chars = 3 * tab_size
str | line_ending = "unix"
str | command_case = "canonical"
str | keyword_case = "upper"
int | max_arguments = 6
int | max_localvars = 20
int | max_statements = 75

## Variable Documentation

## _clang_format

_clang_format = _clang_format_options()

protected

## additional_commands

dict additional_commands

Initial value:
= {
'gr_python_install': {
'flags': [],
'kwargs': {
"PROGRAMS": "*",
"FILES": "*",
"DESTINATION": "*"
}
},
}

## command_case

str command_case = "canonical"

## dangle_parens

bool dangle_parens = False

## disable

bool disable = False

## enable_markup

bool enable_markup = False

## first_comment_is_literal

bool first_comment_is_literal = True

## keyword_case

str keyword_case = "upper"

## line_ending

str line_ending = "unix"

## line_width

line_width = int(_clang_format["ColumnLimit"])

## max_arguments

int max_arguments = 6

## max_localvars

int max_localvars = 20

## max_prefix_chars

int max_prefix_chars = 3 * tab_size

## max_statements

int max_statements = 75

## min_prefix_chars

min_prefix_chars = tab_size

## separate_ctrl_name_with_space

bool separate_ctrl_name_with_space = False

## separate_fn_name_with_space

bool separate_fn_name_with_space = False

## tab_size

tab_size = int(_clang_format["IndentWidth"])

## use_tabchars

use_tabchars

Initial value:
= _clang_format["UseTab"] in ("ForIndentation",
"ForContinuationAndIndentation",
"Always")